//共通js
$.fn.isVisible = function() {
    return $.expr.filters.visible(this[0]);
};
/*
$( document ).ready( function() {
    var $body = $('body'); //Cache this for performance

    var setBodyScale = function() {
        var scaleSource = $body.width(),
            scaleFactor = 0.35,                     
            maxScale = 600,
            minScale = 30; //Tweak these values to taste

        var fontSize = scaleSource * scaleFactor; //Multiply the width of the body by the scaling factor:

        if (fontSize > maxScale) fontSize = maxScale;
        if (fontSize < minScale) fontSize = minScale; //Enforce the minimum and maximums

        //$('body').css('font-size', fontSize + '%');
    }

    $(window).resize(function(){
        setBodyScale();
    });

    //Fire it when the page first loads:
    setBodyScale();
});
*/

$(function(){
    //smoothScroll();

	$('span.required').each(function(){
		$(this).parent().append('&nbsp;<img src="../../../images/v2/icn_must_s.png" alt="必須" height="12" />');
	});
	/*
    //var timer = false;
    var resizeBody = function () {
        var w = Math.max($(window).width(), 640);
        var headerWidth = w - (w / 10);
        var innerWidth = headerWidth - 22;
        $('#header,header').css({ width: headerWidth + 'px' });
        $('#contents .inner').css({ width: innerWidth + 'px' });
        $('#title .inner').css({ width: innerWidth + 'px' });
        
        var fontsize = 12 + parseInt((Math.min(800, headerWidth)-500) * 0.04);
        $('#top .header-text').css({ 'font-size': fontsize + 'px' });
        
        $('#nav ul').css({ width: '100%' });
        
        
    };
    resizeBody();
    $(window).resize(resizeBody);
*/
	$('#openmenu').on('click', function(){
		var $menu = $('#nav');
		if ($menu.isVisible()) {
		    // 表示されている場合の処理
		    $menu.hide();
		} else {
    		// 非表示の場合の処理
		    $menu.show();
		}
		return false;
	});
});

/* -------------------------------------------------------------------------------------------------------- */
/* スムーススクロール [use JQuery]                                                                          */
/* -------------------------------------------------------------------------------------------------------- */
function smoothScroll(){
//	$('a[href^=#]').click(function() {
//	var speed = 1200;
//	var href= $(this).attr("href");
//	var target = $(href == "#" || href == "" ? 'html' : href);
//	var position = target.offset().top;
//	$($.browser.safari ? 'body' : 'html').animate({scrollTop:position}, speed, 'easeInOutQuart');
//	return false;
//	});
}



//以下 Directory.js
//--------------------------------------------------------------------------
//●ログイン画面(LoginForm.aspx)で使用
//--------------------------------------------------------------------------	

//ロード時にテキストボックスにフォーカスをあてる

function FocusLogin(){
	try{
	
		if(top.location.href != self.location.href){
			top.location.href = self.location.href;
		}
		
		document.Form1.txtUserID.focus();
	}
	catch(e){
		
	}
}


//--------------------------------------------------------------------------
//●パスワード変更画面画面(ChangePasswordInner.aspx)で使用
//--------------------------------------------------------------------------	

//ロード時にコントロールにフォーカスをあてる

function FocusChgPwd(){

	if(document.Form1.txtOldPassword != null){
		document.Form1.txtOldPassword.focus();
		
		/// 変更ボタンにconfirmで処理続行するかいなかを判断させる設定を追加する
//		try{
//				var before = "if(confirm('パスワードを変更します。よろしいですか？')==false){return false}";
//				document.getElementById("btnChange").OriginalClick=document.getElementById("btnChange").onclick;
//				document.getElementById("btnChange").onclick=new Function(before+"this.OriginalClick();");
//		}catch(e){}
	}
	else if(document.Form1.btnBack != null){
		document.Form1.btnBack.focus();
	}
	else if(document.Form1.btnNext != null){
		document.Form1.btnNext.focus();
	}
	
}

//戻るボタンクリック時の動作

function Back(){

	var backUrl = "";
	
	backUrl = window.parent.MenuFrame.document.Form1.hdnSelectedPage.value;

	if(backUrl == "LoginForm.aspx"){
		window.parent.location.href = backUrl;
	}
	else{
		window.location.href = backUrl;
	}				
}

//メインメニュー（MainMenuInner.aspx）に遷移する
function Next(){
	window.parent.location.href = "MainMenu.aspx";
}


//--------------------------------------------------------------------------
//●メインメニュー画面(MainMenu.aspx)で使用
//--------------------------------------------------------------------------	

//Hidenにページのパスを格納する

//（パスワード変更画面から「戻る」ボタンで前に表示していた画面に戻るときのため）

function SetHdnValue(hdnValue){

	window.parent.MenuFrame.document.Form1.hdnSelectedPage.value = hdnValue;
	
}

function SetHdnValueMainMenu(hdnValue){

	var cookieValue = document.cookie;
	if(cookieValue.indexOf("UserID", 0) == -1){		//NNのキャッシュ対応

		
		window.location.href = "LoginForm.aspx";
	}
	else{
		window.parent.MenuFrame.document.Form1.hdnSelectedPage.value = hdnValue;
	}
}

	
//--------------------------------------------------------------------------
//●メニュー画面(ListInput.aspx)で使用
//--------------------------------------------------------------------------	

//メニューフレーム・メインフレームに表示するページを設定

function SetFrames(systemCD, systemPath){

	var cookieValue = document.cookie;
	
	if(cookieValue.indexOf("UserID", 0) == -1){		//NNのキャッシュ対応

		
		window.location.href = "LoginForm.aspx";
	}
	else{
		//[20041124]修正==========================
		window.MenuFrame.location.href = "MenuList.aspx?system_cd=" + systemCD + 
										"&system_path=" + systemPath;
		//カテゴリーページの場合はクエリにシステムコードをつける
		if(systemPath == "Category.aspx"){
			systemPath = systemPath + "?system_cd=" + systemCD;
		}
		window.MainFrame.location.href = systemPath;
	}

}


//--------------------------------------------------------------------------
//●メニューリスト画面（MenuList.aspx）で使用
//--------------------------------------------------------------------------	
	
//ページリンククリック時にHiddenにページのパスを格納、スタイルの変更
function fOpenDir(obj){

	//選択されたオブジェクトのインデックスを取得

	var objValue	= obj.getAttribute("value");//obj.value;
	var id			= objValue.split("_");
	var index		= Number(id[0]);

	//選択されたページのパスをHiddenに格納

	var idx = objValue.indexOf("_", 0);
	var selectedPath = "";
	if(idx != -1){
		selectedPath = objValue.substring(idx+1, objValue.length);
	}
	document.Form1.hdnSelectedPage.value = selectedPath;

	//選択されたオブジェクトのスタイルを変更する
	var pageDirs	= document.getElementsByName("PageDir");
	var imgArrows	= document.getElementsByName("imgArrow");
	var pageAnc		= document.getElementsByName("PageAnc");

	for(i=0; i<pageDirs.length; i++){
						
		if(index == i){		//選択されたオブジェクトの場合

			pageDirs[i].className		= "menu-c-a-selected";
			imgArrows[i].style.display	= '';
			pageAnc[i].className		= "menu-text-anc-selected";
		}
		else{
			pageDirs[i].className		= "menu-c-a";
			imgArrows[i].style.display	= 'none';
			pageAnc[i].className		= "menu-text-anc";
		}
	}
	
}

//ロード時に、MainFrameに表示するページのパスをHiddenに格納

//（パスワード変更画面から「戻る」ボタンで前に表示していた画面に戻るときのため）

function SetHdnValueDefault(){

	//document.Form1.hdnSelectedPage.value = window.parent.MainFrame.location.href;
	
	var strLocation = window.location.href;
	var idxCD = strLocation.indexOf("system_cd=", 0);
	//↓[20041124]修正============================
	var idxPath = strLocation.indexOf("system_path=", 0);
	
	var systemCD = "";
	var systemPath = "";
	
	if(idxCD != -1){
		systemCD = strLocation.substring(idxCD+10, idxPath-1);
	}

	if(idxPath != -1){
		systemPath = strLocation.substring(idxPath+12, strLocation.length);
	}

	if(systemPath == "Category.aspx"){
		systemPath = systemPath + "?system_cd=" + systemCD;
	}
	document.Form1.hdnSelectedPage.value = systemPath;
	//↑[20041124]修正============================
}

//システム名（選択中）がクリックされたときにHiddenにパスを格納し、

//選択されているページ名のスタイルを未選択のスタイルにする
function SetHdnValueByDiv(obj){
	var objValue	= obj.getAttribute("value");//obj.value;
	
	document.Form1.hdnSelectedPage.value = objValue;
	

	//選択されたオブジェクトのスタイルを変更する
	var pageDirs	= document.getElementsByName("PageDir");
	var imgArrows	= document.getElementsByName("imgArrow");
	var pageAnc		= document.getElementsByName("PageAnc");

	for(i=0; i<pageDirs.length; i++){
						
		if(pageDirs[i].className != ""){		//選択されたオブジェクトの場合

			pageDirs[i].className		= "menu-c-a";
			imgArrows[i].style.display	= 'none';
			pageAnc[i].className		= "menu-text-anc";
		}
	}
}

